Classes, traits, and interfaces - main - drupal
Introduction to classes
A lot of the PHP code in Drupal is object oriented (OO), making use of PHP classes, interfaces, and traits. See the Objected-oriented programming conventions for more information.
See also
Objected-oriented programming conventions
File
-
core/
core.api.php, line 1529
| Name | Deprecated | Object type | Namespace | File name | Summary | Direct uses | Use statements | Strings |
|---|---|---|---|---|---|---|---|---|
| JsonApiPatchRegressionTest | class | Drupal\Tests\jsonapi\Functional | core/ |
JSON:API regression tests. | ||||
| JsonApiPerformanceTest | class | Drupal\Tests\jsonapi\FunctionalJavascript | core/ |
Tests performance for JSON:API routes. | ||||
| JsonApiRegressionTest | class | Drupal\Tests\jsonapi\Functional | core/ |
JSON:API regression tests. | ||||
| JsonApiRelationshipTest | class | Drupal\Tests\jsonapi\Functional | core/ |
JSON:API resource tests. | ||||
| JsonApiRequestTestTrait | trait | Drupal\Tests\jsonapi\Functional | core/ |
Boilerplate for JSON:API Functional tests' HTTP requests. | 1 | |||
| JsonApiRequestValidator | class | Drupal\jsonapi\EventSubscriber | core/ |
Subscriber that validates the query parameter names on a JSON:API request. | 2 | |||
| JsonapiRequirements | class | Drupal\jsonapi\Hook | core/ |
Requirements for the JSON:API module. | ||||
| JsonapiServiceProvider | class | Drupal\jsonapi | core/ |
Adds 'api_json' as known format and prevents its use in the REST module. | ||||
| JsonApiSettingsForm | class | Drupal\jsonapi\Form | core/ |
Configure JSON:API settings for this site. | 1 | 1 | ||
| JsonApiSpec | class | Drupal\jsonapi | core/ |
Defines constants used for compliance with the JSON:API specification. | 60 | |||
| JsonApiSpecTest | class | Drupal\Tests\jsonapi\Unit | core/ |
Tests Drupal\jsonapi\JsonApiSpec. | ||||
| JsonapiTestFieldAccessHooks | class | Drupal\jsonapi_test_field_access\Hook | core/ |
Hook implementations for jsonapi_test_field_access. | ||||
| JsonapiTestNonCacheableMethodsHooks | class | Drupal\jsonapi_test_non_cacheable_methods\Hook | core/ |
Hook implementations for jsonapi_test_non_cacheable_methods. | ||||
| JsonapiTestUserHooks | class | Drupal\jsonapi_test_user\Hook | core/ |
Hook implementations for jsonapi_test_user. | ||||
| JsonApiTopLevelResourceNormalizerTest | class | Drupal\Tests\jsonapi\Kernel\Normalizer | core/ |
Tests Drupal\jsonapi\Normalizer\JsonApiDocumentTopLevelNormalizer. | ||||
| JsOnceTestController | class | Drupal\js_once_test\Controller | core/ |
Controller for testing the @drupal/once library integration. | ||||
| JsonEncoder | class | Drupal\serialization\Encoder | core/ |
Adds 'ajax' to the supported content types of the JSON encoder. | 1 | 4 | 4 | |
| JsonEncoder | class | Drupal\jsonapi\Encoder | core/ |
Encodes JSON:API data. | 1 | 2 | ||
| JsonEncoderTest | class | Drupal\Tests\jsonapi\Unit\Encoder | core/ |
Tests the JSON:API encoder. | ||||
| JsonEncoderTest | class | Drupal\Tests\serialization\Unit\Encoder | core/ |
Tests Drupal\serialization\Encoder\JsonEncoder. | ||||
| JsonRenderer | class | Drupal\common_test\Render\MainContent | core/ |
Default main content renderer for JSON requests. | 2 | |||
| JsonSchema | class | Drupal\Core\Serialization\Attribute | core/ |
Attribute for methods to express the JSON Schema of its return value. | 15 | |||
| JsonSchemaProviderSerializerInterface | interface | Drupal\serialization\Serializer | core/ |
Interface for JSON schema provider. | 2 | 4 | ||
| JsonSchemaProviderSerializerTrait | trait | Drupal\serialization\Serializer | core/ |
Trait for normalizing the JSON schema. | 1 | |||
| JsonSchemaReflectionTrait | trait | Drupal\serialization\Normalizer | core/ |
Interface for using reflection with the JSON object. | 1 | |||
| JsonSchemaTestTrait | trait | Drupal\Tests\serialization\Traits | core/ |
Trait for testing JSON Schema validity and fit to sample data. | 7 | |||
| JsonTest | class | Drupal\Tests\Component\Serialization | core/ |
Tests Drupal\Component\Serialization\Json. | ||||
| JsonTestFieldFilterAccessHooks | class | Drupal\jsonapi_test_field_filter_access\Hook | core/ |
Hook implementations for jsonapi_test_field_filter_access. | ||||
| JsOptimizer | class | Drupal\Core\Asset | core/ |
Optimizes a JavaScript asset. | 1 | 2 | ||
| JsOptimizerUnitTest | class | Drupal\Tests\Core\Asset | core/ |
Tests the JS asset optimizer. | ||||
| JsTestingAjaxRequestTestHooks | class | Drupal\js_testing_ajax_request_test\Hook | core/ |
Hook implementations for js_testing_ajax_request_test. | ||||
| JsTestingLogTestHooks | class | Drupal\js_testing_log_test\Hook | core/ |
Hook implementations for js_testing_log_test. | ||||
| JSTranslationTest | class | Drupal\Tests\ckeditor5\FunctionalJavascript | core/ |
Tests for CKEditor 5 plugins using Drupal's translation system. | ||||
| JSWebAssert | class | Drupal\FunctionalJavascriptTests | core/ |
Defines a class with methods for asserting presence of elements during tests. | 1 | 1 | ||
| JSWebAssertTest | class | Drupal\FunctionalJavascriptTests\Tests | core/ |
Tests for the JSWebAssert class. | ||||
| JsWebAssertTestForm | class | Drupal\jswebassert_test\Form | core/ |
Test form for JSWebAssert WebDriverTestBase. | 1 | |||
| JUnitConverter | class | Drupal\Core\Test | core/ |
Converts JUnit XML to Drupal's {simpletest} schema. | 2 | |||
| JUnitConverterTest | class | Drupal\Tests\Core\Test | core/ |
Tests Drupal\Core\Test\JUnitConverter. | ||||
| Kale | class | Drupal\plugin_test\Plugin\plugin_test\fruit | core/ |
Plugin annotation @Plugin( id = "kale", label = "Kale", color = "green" ) | ||||
| KernelPreHandle | class | Drupal\Core\StackMiddleware | core/ |
Prepares the environment after page caching ran. | 2 | |||
| KernelTest | final class | Drupal\Tests\Component\Foo | core/ |
|||||
| KernelTestBase | abstract class | Drupal\KernelTests | core/ |
Base class for functional integration tests. | 729 | 733 | ||
| KernelTestBaseDatabaseDriverModuleTest | class | Drupal\KernelTests | core/ |
Tests Drupal\KernelTests\KernelTestBase. | ||||
| KernelTestBaseShutdownTest | class | Drupal\KernelTests | core/ |
Tests Drupal\KernelTests\KernelTestBase. | ||||
| KernelTestBaseTest | class | Drupal\KernelTests | core/ |
Tests Drupal\KernelTests\KernelTestBase. | ||||
| KernelTestBaseTest | class | Drupal\Tests\pgsql\Kernel\pgsql | core/ |
Tests Drupal\KernelTests\KernelTestBase. | ||||
| KernelTestCompilerPass | class | Drupal\KernelTests | core/ |
Adds hooks from kernel test to event dispatcher and module handler. | ||||
| KernelTestDynamicPageCacheRequestPolicy | class | Drupal\Tests\Traits\Core\Cache | core/ |
Replaces the dynamic_page_cache module's default request policy. | ||||
| KernelTestHttpCacheRequestTest | class | Drupal\KernelTests | core/ |
Tests making HTTP requests with page cache in a kernel test. | ||||
| KernelTestHttpDynamicCacheRequestTest | class | Drupal\KernelTests | core/ |
Tests making HTTP requests with dynamic page cache in a kernel test. |
Pagination
- Previous page
- Page 105
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.